aboutsummaryrefslogtreecommitdiff
path: root/src/test/test_key_expiration.sh
diff options
context:
space:
mode:
authorteor <teor2345@gmail.com>2018-07-18 12:37:12 +1000
committerteor <teor2345@gmail.com>2018-07-18 12:37:12 +1000
commit449d190e2e447937893d228e63292512c06cb531 (patch)
tree18b813a070dfe484e466e53a8baa15e2d81792b3 /src/test/test_key_expiration.sh
parent61a2762e353f29b8b4402bf068e6268809174702 (diff)
downloadtor-449d190e2e447937893d228e63292512c06cb531.tar.gz
tor-449d190e2e447937893d228e63292512c06cb531.zip
SKIP test_key_expiration.sh on Windows until the underlying issue is resolved
Skip an unreliable key expiration test on Windows, until the underlying issue in bug 26076 is resolved. Fixes bug 26853; bugfix on 0.3.2.1-alpha.
Diffstat (limited to 'src/test/test_key_expiration.sh')
-rwxr-xr-xsrc/test/test_key_expiration.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/src/test/test_key_expiration.sh b/src/test/test_key_expiration.sh
index 5511dbf18c..cf6608634d 100755
--- a/src/test/test_key_expiration.sh
+++ b/src/test/test_key_expiration.sh
@@ -13,6 +13,14 @@ if [ $# -eq 0 ] || [ ! -f ${1} ] || [ ! -x ${1} ]; then
fi
fi
+UNAME_OS=`uname -s | cut -d_ -f1`
+if test "$UNAME_OS" = 'CYGWIN' || \
+ test "$UNAME_OS" = 'MSYS' || \
+ test "$UNAME_OS" = 'MINGW'; then
+ echo "This test is unreliable on Windows. See trac #26076. Skipping." >&2
+ exit 77
+fi
+
if [ $# -ge 1 ]; then
TOR_BINARY="${1}"
shift